/*
*-----------------------------------------------------------------------------
*	file	: cmd_pars.h
*	desc	: simple command parser
*	by	: Frank Schnorrenberg
*	date	: 04-15-92
*-----------------------------------------------------------------------------
*/


#define	CMD_NULL	0

typedef	struct	{
	int	cmdno;
	char	* cmdstr;
	}       CMDTBL;

/*
*	Defining commands, starting from 1;
*	this definition is modifiable and can be extended!!!
*/

#define	CMD_INFILE		1
#define	CMD_SAMPLE		2
#define	CMD_WGTS		3
#define	CMD_USEWGTS		4
#define	CMD_SPEC		5
#define	CMD_OUT			6
#define	CMD_ITER		7
#define	CMD_REPS		8

int	cmdsearch		( );
int	cmdinit			( );
int 	cmdget			( );
