# This is a command file
# Purpose: Avoid typing the lengthy commandline arguments
#
# I created some more spec files. To really know what will go on
# open a spec file and take the documentation to compare the meaning
# of the numbers. Not all the commands will work, since I changed the
# topology of the program. Try the second command (without pre-specified
# weights)


#specs.dat
neo -fin=prototyp.dat -samp=10 -use=1 -fwgt=us1wts.dat -fspec=specs.dat -maxiter=100 -reps=5

#specs.dat without pre-specified weights 
neo -fin=prototyp.dat -samp=10 -use=0 -fspec=specs.dat -maxiter=100 -reps=5 -maxiter=100 -reps=2

#specII.dat
neo -fin=prototyp.dat -samp=10 -use=1 -fwgt=us1wts.dat -fspec=specII.dat -maxiter=100 -reps=5

#specV.dat
neo -fin=prototypesII.dat -samp=10 -use=1 -fwgt=us1wts.dat -fspec=specV.dat -maxiter=100 -reps=5

#specV.dat, do not use artificial weights
neo -fin=prototyp.dat -samp=10 -use=0 -fwgt=us1wts.dat -fspec=specV.dat -maxiter=100 -reps=5

#specVI.dat
neo -fin=prototyp.dat -samp=10 -use=0 -fspec=specVI.dat -maxiter=100 -reps=5

#specVII.dat
neo -fin=prototyp.dat -samp=10 -use=0 -fspec=specVII.dat -maxiter=100 -reps=1

#specVIII.dat
neo -fin=prototyp.dat -samp=10 -use=0 -fspec=specVIII.dat -maxiter=100 -reps=2

