.TH neo 15/5/94
.SH NAME
neo - a neocognitron simulator.
.SH SYNOPSIS
.B neo -fin=<fn> -samp=# -fwgt=<fn> -use=# -fspec=<fn> -fout=<fn> -maxiter=# -reps=#

Example:        Let the network read and classify 10 sample pattern

        neo -fin=myinput.pat -samp=10 -fwgt=wgts.dat -fspec=specs.dat -maxiter=100 -reps=5

where

        -fin=           name of train file containing the input pattern
        -samp=          number of train input patterns in train file
        -fwgt=          name of the file with weights (see documentation)
        -use=           use the weight file or not (1, 0)
        -fspec=         name of the file with initial parameters (see documentation)
        -fout=          name of the file to write output to (see documentation)
        -maxiter=       maximal number of iterations
        -reps=          number of repetitions for each pattern before proceeding


.SH DESCRIPTION
.PP
.Bneo
A neural network simulator based on Fukushima's Neocognitron.
.PP
The Neocognitron is a hierarchical self-organizing feedforward network . 
It learns off-line in a supervised or unsupervised manner. The network was 
and is mainly used to recognize handwritten numerals and characters. 
.PP

.SH AUTHOR
Frank Schnorrenberg
